package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 保障机构人员;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "保障机构人员", description = "")
@TableName("cooperation_person")
public class CooperationPerson implements Serializable, Cloneable {
    /**
     * 人员ID
     */
    @ApiModelProperty(name = "人员ID", notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 机构ID
     */
    @ApiModelProperty(name = "机构ID", notes = "")
    private Integer orgId;
    /**
     * 机构名称
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "机构名称", notes = "")
    private String orgName;
    /**
     * 姓名
     */
    @ApiModelProperty(name = "姓名", notes = "")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty(name = "身份证号", notes = "")
    private String idNo;
    /**
     * 性别;1男2女9未知
     */
    @ApiModelProperty(name = "性别", notes = "1男2女9未知")
    private Integer sex;
    /**
     * 民族
     */
    @ApiModelProperty(name = "民族", notes = "")
    private String ethnic;
    /**
     * 政治面貌
     */
    @ApiModelProperty(name = "政治面貌", notes = "")
    private String politicalStatus;
    /**
     * 联系电话
     */
    @ApiModelProperty(name = "联系电话", notes = "")
    private String phone;
    /**
     * 是否健康证
     */
    @ApiModelProperty(name = "是否健康证", notes = "")
    private Integer isHealthCertificate;
    /**
     * 家庭住址
     */
    @ApiModelProperty(name = "家庭住址", notes = "")
    private String homeAddr;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;

}