package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 保障机构;
 * @author : http://www.chiner.pro
 * @date : 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "保障机构",description = "")
@TableName("cooperation_units")
public class CooperationUnits implements Serializable,Cloneable{
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 机构名称 */
    @ApiModelProperty(name = "机构名称",notes = "")
    private String name ;
    /** 工商注册证号 */
    @ApiModelProperty(name = "工商注册证号",notes = "")
    private String businessLicense ;
    /** 卫生许可证号 */
    @ApiModelProperty(name = "卫生许可证号",notes = "")
    private String hygieneLicense ;
    /** 联系人 */
    @ApiModelProperty(name = "联系人",notes = "")
    private String contacts ;
    /** 联系电话 */
    @ApiModelProperty(name = "联系电话",notes = "")
    private String phone ;
    /** 签约开始时间 */
    @ApiModelProperty(name = "签约开始时间",notes = "")
    private String startDate ;
    /** 签约结束时间 */
    @ApiModelProperty(name = "签约结束时间",notes = "")
    private String endDate ;
    /** 机构类别 */
    @ApiModelProperty(name = "机构类别",notes = "")
    private String orgType ;
    /** 单日机构内膳食供应能力(人次) */
    @ApiModelProperty(name = "单日机构内膳食供应能力(人次)",notes = "")
    private Integer dietDaily ;
    /** 单次机构内膳食供应能力(人) */
    @ApiModelProperty(name = "单次机构内膳食供应能力(人)",notes = "")
    private Integer dietSingle ;
    /** 单日远程膳食供应能力(人次) */
    @ApiModelProperty(name = "单日远程膳食供应能力(人次)",notes = "")
    private Integer dietRemoteDaily ;
    /** 单次远程膳食供应能力(人) */
    @ApiModelProperty(name = "单次远程膳食供应能力(人)",notes = "")
    private Integer dietRemoteSingle ;
    /** 机构内住宿供应能力(人) */
    @ApiModelProperty(name = "机构内住宿供应能力(人)",notes = "")
    private Integer stayCapability ;

    @ApiModelProperty(name = "文件列表",notes = "")
    @TableField(exist = false)
    List<UnitsFiles> fileList;
}