package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 套餐详情;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "套餐详情",description = "")
@TableName("package_detail")
public class PackageDetail implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 套餐ID */
    @ApiModelProperty(name = "套餐ID",notes = "")
    private Integer packageId ;

    /** 套餐名称 */
    @ApiModelProperty(name = "套餐名称",notes = "")
    @TableField(exist = false)
    private String packageName ;
    /** 菜肴ID */
    @ApiModelProperty(name = "菜肴ID",notes = "")
    private Integer dishId ;

    /** 菜肴名称 */
    @ApiModelProperty(name = "菜肴名称",notes = "")
    @TableField(exist = false)
    private String dishName ;
    /** 菜肴类型 */
    @ApiModelProperty(name = "菜肴类型",notes = "1主食,2菜肴")
    private Integer dishKind ;
    /** 数量 */
    @ApiModelProperty(name = "数量",notes = "")
    private Integer amount ;

}