package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 信息发布表;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "信息发布表", description = "")
@TableName("posts")
public class Posts implements Serializable, Cloneable {
    /**
     * 发布ID
     */
    @ApiModelProperty(name = "发布ID", notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 发布内容
     */
    @ApiModelProperty(name = "内容类型", notes = "")
    private String type;
    /**
     * 发布内容
     */
    @ApiModelProperty(name = "发布内容", notes = "")
    private String detail;
    /**
     * 内容名称
     */
    @ApiModelProperty(name = "内容名称", notes = "")
    private String title;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    private String createPerson;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;


    @ApiModelProperty(name = "文件列表", notes = "")
    @TableField(exist = false)
    private List<PostsFiles> filesList;

}