package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 采购表;
 * @author : http://www.chiner.pro
 * @date : 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "采购表",description = "")
@TableName("purchase")
public class Purchase implements Serializable,Cloneable{
    /** 采购ID */
    @ApiModelProperty(name = "采购ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 采购计划 */
    @ApiModelProperty(name = "采购计划",notes = "")
    private String title ;
     /** 采购计划 */
     @ApiModelProperty(name = "采购项目",notes = "")
     private String items ;
    /** 计划时间 */
    @ApiModelProperty(name = "计划时间",notes = "")
    private String planDate ;
    /** 是否入库 */
    @ApiModelProperty(name = "是否入库",notes = "")
    private Boolean isInStore ;
    /** 是否采购完成 */
    @ApiModelProperty(name = "是否采购完成",notes = "")
    private Boolean isCompleted ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;
     /** 采购完成时间 */
     @ApiModelProperty(name = "采购完成时间",notes = "")
     private LocalDateTime completedDate ;

    @ApiModelProperty(name = "采购项目",notes = "")
    @TableField(exist = false)
    List<PurchaseItems> itemsList;
}