package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 采购内容;
 * @author : http://www.chiner.pro
 * @date : 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "采购内容",description = "")
@TableName("purchase_items")
public class PurchaseItems implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 采购ID */
    @ApiModelProperty(name = "采购ID",notes = "")
    private Integer purchaseId ;
    /** 库存ID;来源 store 表 */
    @ApiModelProperty(name = "库存ID",notes = "来源 store 表")
    private Integer storeId ;
    /** 计划数量 */
    @ApiModelProperty(name = "计划数量",notes = "")
    private Double planAmount ;
    /** 预估单价 */
    @ApiModelProperty(name = "预估单价",notes = "")
    private Integer planUnitPrice ;
    /** 采购数量 */
    @ApiModelProperty(name = "采购数量",notes = "")
    private Double actAmount ;
    /** 采购单价 */
    @ApiModelProperty(name = "采购单价",notes = "")
    private Integer actUnitPrice ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    private LocalDateTime updateDate ;

}