package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 保障能力;
 * @author : http://www.chiner.pro
 * @date : 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "保障能力",description = "")
@TableName("support_capability")
public class SupportCapability implements Serializable,Cloneable{
    /** id */
    @ApiModelProperty(name = "id",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 单日整体膳食供应能力(人次) */
    @ApiModelProperty(name = "单日整体膳食供应能力(人次)",notes = "")
    private Integer dietDaily ;
    /** 单次整体膳食供应能力(人) */
    @ApiModelProperty(name = "单次整体膳食供应能力(人)",notes = "")
    private Integer dietSingle ;
    /** 单日站内膳食供应能力(人次) */
    @ApiModelProperty(name = "单日站内膳食供应能力(人次)",notes = "")
    private Integer dietStationDaily ;
    /** 单次站内膳食供应能力(人) */
    @ApiModelProperty(name = "单次站内膳食供应能力(人)",notes = "")
    private Integer dietStationSingle ;
    /** 单日远程膳食供应能力(人次) */
    @ApiModelProperty(name = "单日远程膳食供应能力(人次)",notes = "")
    private Integer dietRemoteDaily ;
    /** 单次远程膳食供应能力(人) */
    @ApiModelProperty(name = "单次远程膳食供应能力(人)",notes = "")
    private Integer dietRemoteSingle ;
    /** 单日社会化膳食供应能力(人次) */
    @ApiModelProperty(name = "单日社会化膳食供应能力(人次)",notes = "")
    private Integer dietSocializationDaily ;
    /** 单次社会化膳食供应能力(人) */
    @ApiModelProperty(name = "单次社会化膳食供应能力(人)",notes = "")
    private Integer dietSocializationSingle ;
    /** 单日临时制膳点数量(个) */
    @ApiModelProperty(name = "单日临时制膳点数量(个)",notes = "")
    private Integer dietTempDailyNum ;
    /** 单次临时制膳点数量(个) */
    @ApiModelProperty(name = "单次临时制膳点数量(个)",notes = "")
    private Integer dietTempSingleNum ;
    /** 单日临时制膳点供应能力(人次) */
    @ApiModelProperty(name = "单日临时制膳点供应能力(人次)",notes = "")
    private Integer dietTempDaily ;
    /** 单次临时制膳点供应能力(人) */
    @ApiModelProperty(name = "单次临时制膳点供应能力(人)",notes = "")
    private Integer dietTempSingle ;
    /** 应急单日整体膳食供应能力(人次) */
    @ApiModelProperty(name = "应急单日整体膳食供应能力(人次)",notes = "")
    private Integer dietDailyEmergency ;
    /** 应急单次整体膳食供应能力(人) */
    @ApiModelProperty(name = "应急单次整体膳食供应能力(人)",notes = "")
    private Integer dietSingleEmergency ;
    /** 应急单日站内膳食供应能力(人次) */
    @ApiModelProperty(name = "应急单日站内膳食供应能力(人次)",notes = "")
    private Integer dietStationDailyEmergency ;
    /** 应急单次站内膳食供应能力(人) */
    @ApiModelProperty(name = "应急单次站内膳食供应能力(人)",notes = "")
    private Integer dietStationSingleEmergency ;
    /** 应急单日远程膳食供应能力(人次) */
    @ApiModelProperty(name = "应急单日远程膳食供应能力(人次)",notes = "")
    private Integer dietRemoteDailyEmergency ;
    /** 应急单次远程膳食供应能力(人) */
    @ApiModelProperty(name = "应急单次远程膳食供应能力(人)",notes = "")
    private Integer dietRemoteSingleEmergency ;
    /** 应急单次社会化膳食供应能力(人) */
    @ApiModelProperty(name = "应急单次社会化膳食供应能力(人)",notes = "")
    private Integer dietSocializationDailyEmergency ;
    /** 应急单次社会化膳食供应能力(人) */
    @ApiModelProperty(name = "应急单次社会化膳食供应能力(人)",notes = "")
    private Integer dietSocializationSingleEmergency ;
    /** 应急单日临时制膳点数量(个) */
    @ApiModelProperty(name = "应急单日临时制膳点数量(个)",notes = "")
    private Integer dietTempDailyNumEmergency ;
    /** 应急单次临时制膳点数量(个) */
    @ApiModelProperty(name = "应急单次临时制膳点数量(个)",notes = "")
    private Integer dietTempSingleNumEmergency ;
    /** 应急单日临时制膳点供应能力(人次) */
    @ApiModelProperty(name = "应急单日临时制膳点供应能力(人次)",notes = "")
    private Integer dietTempDailyEmergency ;
    /** 应急单次临时制膳点供应能力(人) */
    @ApiModelProperty(name = "应急单次临时制膳点供应能力(人)",notes = "")
    private Integer dietTempSingleEmergency ;
    /** 整体住宿供应能力(人) */
    @ApiModelProperty(name = "整体住宿供应能力(人)",notes = "")
    private Integer stayCapability ;
    /** 站内住宿供应能力(人) */
    @ApiModelProperty(name = "站内住宿供应能力(人)",notes = "")
    private Integer stayStation ;
    /** 社会化住宿供应能力(人) */
    @ApiModelProperty(name = "社会化住宿供应能力(人)",notes = "")
    private Integer staySocialization ;
    /** 应急整体住宿供应能力(人) */
    @ApiModelProperty(name = "应急整体住宿供应能力(人)",notes = "")
    private Integer stayCapabilityEmergency ;
    /** 应急站内住宿供应能力(人) */
    @ApiModelProperty(name = "应急站内住宿供应能力(人)",notes = "")
    private Integer stayStationEmergency ;
    /** 应急社会化住宿供应能力(人) */
    @ApiModelProperty(name = "应急社会化住宿供应能力(人)",notes = "")
    private Integer staySocializationEmergency ;
    /** 车辆总数(台) */
    @ApiModelProperty(name = "车辆总数(台)",notes = "")
    private Integer cartNum ;
    /** 野外自行式炊事车(台) */
    @ApiModelProperty(name = "野外自行式炊事车(台)",notes = "")
    private Integer cookingCart ;
    /** 送餐车(台) */
    @ApiModelProperty(name = "送餐车(台)",notes = "")
    private Integer transportVehicle ;
    /** 物资供应能力(人) */
    @ApiModelProperty(name = "物资供应能力(人)",notes = "")
    private Integer supportCapability ;
    /** 服务能力 */
    @ApiModelProperty(name = "服务能力",notes = "")
    private String serviceCapability ;

}