package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 用户表;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户表", description = "")
@TableName("users")
public class Users implements Serializable, Cloneable {
    /**
     * ID
     */
    @ApiModelProperty(name = "ID", notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 姓名
     */
    @ApiModelProperty(name = "姓名", notes = "")
    private String name;
    /**
     * 部门
     */
    @ApiModelProperty(name = "部门", notes = "")
    private String dept;
    /**
     * 手机号
     */
    @ApiModelProperty(name = "手机号", notes = "")
    private String phone;
    /**
     * 登录名
     */
    @ApiModelProperty(name = "登录名", notes = "")
    private String loginName;
    /**
     * 密码
     */
    @ApiModelProperty(name = "密码", notes = "")
    private String password;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;


    @ApiModelProperty(name = "性别", notes = "1男2女9未知")
    private Integer sex;

    @ApiModelProperty(name = "民族", notes = "")
    private String ethnic;

    @ApiModelProperty(name = "血型", notes = "")
    private String bloodType;

    @ApiModelProperty(name = "身份证号", notes = "")
    private String idNo;

    @ApiModelProperty(name = "文化程度", notes = "")
    private String education;

    @ApiModelProperty(name = "政治面貌", notes = "")
    private String politicalStatus;

    @ApiModelProperty(name = "工作岗位", notes = "")
    private String position;

    @ApiModelProperty(name = "编制", notes = "")
    private String budgetedPosts;

    @ApiModelProperty(name = "行政级别", notes = "")
    private String politicalLevel;


    @ApiModelProperty(name = "角色列表", notes = "")
    @TableField(exist = false)
    List<Roles> rolesList;


    @ApiModelProperty(name = "资源列表", notes = "")
    @TableField(exist = false)
    List<Resources> resourcesList;
}