package com.yunzhi.inte.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Evaluate;
import com.yunzhi.inte.mapper.EvaluateMapper;
import com.yunzhi.inte.service.EvaluateService;

import java.util.Map;

/**
 * 评价表;(evaluate)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Service
public class EvaluateServiceImpl extends BaseServiceImpl<EvaluateMapper, Evaluate> implements EvaluateService {

    @Override
    public String getTop1() {
        Map<String, Object> top1 = baseMapper.getTop1();
        if (null == top1) return "暂无";

        Double t0 = Double.parseDouble(top1.get("t0").toString());
        Double t1 = Double.parseDouble(top1.get("t1").toString());
        Double t2 = Double.parseDouble(top1.get("t2").toString());
        String max = "t0";

        if (t1 > t0) {
            if (t2 > t1) {
                max = "t2";
            } else {
                max = "t1";
            }
        } else {
            if (t2 > t0) {
                max = "t2";
            } else {
                max = "t0";
            }
        }

        switch (max) {
            case "t0":
                return "差";
            case "t1":
                return "一般";
            default:
                return "满意";
        }
    }
}
