package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.inte.common.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.GuaranteeTask;
import com.yunzhi.inte.mapper.GuaranteeTaskMapper;
import com.yunzhi.inte.service.GuaranteeTaskService;

import java.util.List;
import java.util.Map;

/**
 * 供给保障;(guarantee_task)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Service
public class GuaranteeTaskServiceImpl extends BaseServiceImpl<GuaranteeTaskMapper, GuaranteeTask> implements GuaranteeTaskService {

    @Override
    public Integer total() {
        QueryWrapper<GuaranteeTask> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status", Constants.STATUS_NORMAL);

        return count(queryWrapper);
    }

    @Override
    public Integer sumPerson() {
        return baseMapper.sumPerson(Constants.STATUS_NORMAL);
    }

    @Override
    public List<Map<String, Object>> countByDays(String startDate, String endDate, Long days) {
        return baseMapper.countByDays(startDate, endDate, days);
    }

    @Override
    public List<Map<String, Object>> countByMonths(String startDate, String endDate, Long months) {
        return baseMapper.countByMonths(startDate, endDate, months);
    }

    @Override
    public List<Map<String, Object>> getCostByDays(String startDate, String endDate, Long days) {
        return baseMapper.getCostByDays(startDate, endDate, days);
    }

    @Override
    public List<Map<String, Object>> getCostByMonths(String startDate, String endDate, long months) {
        return baseMapper.getCostByMonths(startDate, endDate, months);
    }
}