package com.yunzhi.inte.service.impl;

import com.yunzhi.inte.common.Constants;
import com.yunzhi.inte.entity.Store;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.NoticeMessage;
import com.yunzhi.inte.mapper.NoticeMessageMapper;
import com.yunzhi.inte.service.NoticeMessageService;

import java.time.LocalDateTime;

/**
 * 消息表;(notice_message)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Service
public class NoticeMessageServiceImpl extends BaseServiceImpl<NoticeMessageMapper, NoticeMessage> implements NoticeMessageService {

    @Override
    @Async
    public void warnStore(Store store) {
        try {
            NoticeMessage noticeMessage = new NoticeMessage();
            noticeMessage.setMessage(String.format("物资【%s】库存不足, 请及时补仓", store.getName()));
            noticeMessage.setTargetId(store.getId().toString());
            noticeMessage.setTargetType("store");
            noticeMessage.setIsReaded(false);
            noticeMessage.setStatus(Constants.STATUS_NORMAL);
            noticeMessage.setCreateDate(LocalDateTime.now());
            save(noticeMessage);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}