package com.yunzhi.inte.service.impl;

import com.yunzhi.inte.common.StringUtils;
import com.yunzhi.inte.entity.PostsFiles;
import com.yunzhi.inte.mapper.PostsFilesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Posts;
import com.yunzhi.inte.mapper.PostsMapper;
import com.yunzhi.inte.service.PostsService;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 信息发布表;(posts)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-16
 */
@Service
public class PostsServiceImpl extends BaseServiceImpl<PostsMapper, Posts> implements PostsService {

    @Autowired
    PostsFilesMapper postsFilesMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean mergeData(Posts posts) throws Exception {

        LocalDateTime now = LocalDateTime.now();
        Integer postId = posts.getId();
        if (null == postId) {

            posts.setCreateDate(now);
            save(posts);
            postId = posts.getId();
        } else {
            updateById(posts);
        }

        List<PostsFiles> filesList = posts.getFilesList();
        if (null == filesList || filesList.size() == 0) {
            postsFilesMapper.deleteByMap(new HashMap<String, Object>() {{
                put("posts_id", posts.getId());
            }});
        } else {
            List<Integer> idList = new ArrayList<>();
            for (PostsFiles postsFile: filesList) {
                if (StringUtils.isEmpty(postsFile.getFileAddr())) {
                    continue;
                }

                postsFile.setPostsId(posts.getId());
                PostsFiles exists = postsFilesMapper.getByPostsAndAddr(posts.getId(), postsFile.getFileAddr());
                if (null != exists) {
                    postsFile.setId(exists.getId());
                    postsFilesMapper.updateById(postsFile);
                } else {
                    postsFilesMapper.insert(postsFile);
                }

                idList.add(postsFile.getId());
            }

            // 去除垃圾数据
            postsFilesMapper.deleteNotIn(posts.getId(), idList);
        }

        return true;
    }
}