package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.PurchaseItems;
import com.yunzhi.inte.mapper.PurchaseItemsMapper;
import com.yunzhi.inte.service.PurchaseItemsService;

import java.util.List;

/**
 * 采购内容;(purchase_items)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-14
 */
@Service
public class PurchaseItemsServiceImpl extends BaseServiceImpl<PurchaseItemsMapper, PurchaseItems> implements PurchaseItemsService {

    @Override
    public List<PurchaseItems> getByPurchase(Integer purchaseId) {
        QueryWrapper<PurchaseItems> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("purchase_id", purchaseId);
        queryWrapper.orderByDesc("create_date");
        return list(queryWrapper);
    }
}