package com.yunzhi.inte.service.impl;

import com.yunzhi.inte.common.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Resources;
import com.yunzhi.inte.mapper.ResourcesMapper;
import com.yunzhi.inte.service.ResourcesService;

import java.util.List;

/**
 * 资源;(resources)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Service
public class ResourcesServiceImpl extends BaseServiceImpl<ResourcesMapper, Resources> implements ResourcesService {

    @Override
    public List<Resources> listBy(String type, Integer roleId) {
        return baseMapper.listBy(type, roleId);
    }

    @Override
    public List<Resources> getByUser(Integer userId) {
        if (userId == Constants.ROOT_ID) {
            return list();
        }

        return baseMapper.getByUser(userId);
    }
}