package com.yunzhi.inte.service.impl;

import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.RoleResources;
import com.yunzhi.inte.mapper.RoleResourcesMapper;
import com.yunzhi.inte.service.RoleResourcesService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 角色资源;(role_resources)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Service
public class RoleResourcesServiceImpl extends BaseServiceImpl<RoleResourcesMapper, RoleResources> implements RoleResourcesService {

    @Override
    public boolean mergeData(Integer roleId, List<RoleResources> roleResourcesList) {
        // 如果是空 list, 代表取消授权
        if (roleResourcesList.size() == 0) {
            removeByMap(new HashMap<String, Object>(){{
                put("role_id", roleId);
            }});
            return true;
        }

        //
        List<Integer> idList = new ArrayList<>();
        for (RoleResources item: roleResourcesList) {
            item.setRoleId(roleId);

            RoleResources origin = baseMapper.getByRoleAndResource(roleId, item.getResourceId());
            if (null != origin) {
                item.setId(origin.getId());
            } else {
                baseMapper.insert(item);
            }

            idList.add(item.getId());
        }

        // 删除多余的数据
        baseMapper.deleteNotIn(roleId, idList);

        return false;
    }
}