package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.inte.common.Constants;
import com.yunzhi.inte.common.StringUtils;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Store;
import com.yunzhi.inte.mapper.StoreMapper;
import com.yunzhi.inte.service.StoreService;

import java.util.List;
import java.util.Map;

/**
 * 库存表;(store)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Service
public class StoreServiceImpl extends BaseServiceImpl<StoreMapper, Store> implements StoreService {

    @Override
    public IPage<Store> getPageBy(IPage<Store> pg, Integer id, String name, String typeId, Integer isDish) {
        if (StringUtils.isEmpty(name)) {
            name = null;
        } else {
            name = "%" + name + "%";
        }

        return baseMapper.getPageBy(pg, id, name, typeId, isDish);
    }

    @Override
    public List<Store> getListBy(String name, String typeId, Integer isDish) {
        if (StringUtils.isEmpty(name)) {
            name = null;
        } else {
            name = "%" + name + "%";
        }

        return baseMapper.getListBy(null, name, typeId, isDish);
    }

    @Override
    public Integer countDevice() {
        return baseMapper.countDevice();
    }

    @Override
    public List<Map<String, Integer>> countByDeviceType() {
        return baseMapper.countByDeviceType();
    }

    @Override
    public List<Map<String, Integer>> countDeviceTypeOut(String startDate, String endDate) {
        return baseMapper.countDeviceTypeOut(startDate, endDate);
    }

}